#ifndef APU_IF_H
#define APU_IF_H

/* APU assignments */
#if !defined(IMPULSE_FIRST_APU)

#define p_test_proc_pixel_stream_data() "0"
#define p_test_proc_pixel_stream_status() "2"
#define p_test_proc_config_stream_data() "4"
#define p_test_proc_config_stream_status() "6"
#define p_config_sys_data() "8"
#else

#if IMPULSE_FIRST_APU == 0

#define p_test_proc_pixel_stream_data() "0"
#define p_test_proc_pixel_stream_status() "2"
#define p_test_proc_config_stream_data() "4"
#define p_test_proc_config_stream_status() "6"
#define p_config_sys_data() "8"
#endif

#if IMPULSE_FIRST_APU == 1

#define p_test_proc_pixel_stream_data() "4"
#define p_test_proc_pixel_stream_status() "6"
#define p_test_proc_config_stream_data() "8"
#define p_test_proc_config_stream_status() "10"
#define p_config_sys_data() "12"
#endif

#if IMPULSE_FIRST_APU == 2

#define p_test_proc_pixel_stream_data() "8"
#define p_test_proc_pixel_stream_status() "10"
#define p_test_proc_config_stream_data() "12"
#define p_test_proc_config_stream_status() "14"
#define p_config_sys_data() "16"
#endif

#if IMPULSE_FIRST_APU == 3

#define p_test_proc_pixel_stream_data() "12"
#define p_test_proc_pixel_stream_status() "14"
#define p_test_proc_config_stream_data() "16"
#define p_test_proc_config_stream_status() "18"
#define p_config_sys_data() "20"
#endif

#if IMPULSE_FIRST_APU == 4

#define p_test_proc_pixel_stream_data() "16"
#define p_test_proc_pixel_stream_status() "18"
#define p_test_proc_config_stream_data() "20"
#define p_test_proc_config_stream_status() "22"
#define p_config_sys_data() "24"
#endif

#if IMPULSE_FIRST_APU == 5

#define p_test_proc_pixel_stream_data() "20"
#define p_test_proc_pixel_stream_status() "22"
#define p_test_proc_config_stream_data() "24"
#define p_test_proc_config_stream_status() "26"
#define p_config_sys_data() "28"
#endif

#if IMPULSE_FIRST_APU == 6

#define p_test_proc_pixel_stream_data() "24"
#define p_test_proc_pixel_stream_status() "26"
#define p_test_proc_config_stream_data() "28"
#define p_test_proc_config_stream_status() "30"
#define p_config_sys_data() "32"
#endif

#if IMPULSE_FIRST_APU == 7

#define p_test_proc_pixel_stream_data() "28"
#define p_test_proc_pixel_stream_status() "30"
#define p_test_proc_config_stream_data() "32"
#define p_test_proc_config_stream_status() "34"
#define p_config_sys_data() "36"
#endif

#endif

#define GENERATE_STREAM_READ0 4
#define GENERATE_STREAM_INSTR0 "stwfcmx"
#define GENERATE_STREAM_WRITE4 4
#define GENERATE_STREAM_CLOSE6
#define GENERATE_STREAM_INSTR4 "lwfcmx"

#endif
